summaryrefslogtreecommitdiff
path: root/debian/patches/07_log_to_file_by_default.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'debian/patches/07_log_to_file_by_default.dpatch')
-rwxr-xr-xdebian/patches/07_log_to_file_by_default.dpatch37
1 files changed, 37 insertions, 0 deletions
diff --git a/debian/patches/07_log_to_file_by_default.dpatch b/debian/patches/07_log_to_file_by_default.dpatch
new file mode 100755
index 0000000000..da9aaf4324
--- /dev/null
+++ b/debian/patches/07_log_to_file_by_default.dpatch
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 07_log_to_file_by_default.dpatch by <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad tor-0.1.1.17/src/or/config.c /tmp/dpep.YwfNhI/tor-0.1.1.17/src/or/config.c
+--- tor-0.1.1.17/src/or/config.c
++++ /tmp/dpep.YwfNhI/tor-0.1.1.17/src/or/config.c
+@@ -2079,7 +2079,7 @@
+
+ /* Special case on first boot if no Log options are given. */
+ if (!options->Logs && !from_setconf)
+- config_line_append(&options->Logs, "Log", "notice stdout");
++ config_line_append(&options->Logs, "Log", "notice file /var/log/tor/log");
+
+ if (options_init_logs(options, 1)<0) /* Validate the log(s) */
+ REJECT("Failed to validate Log options. See logs for details.");